cURL
curl --request POST \
--url https://sandbox-remote-api.rayda.co/api/v2/client/employees/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"employees": [
[
{
"first_name": "Mary",
"last_name": "Doe",
"email": "[email protected]",
"country_id": "United States",
"phone": "+1-555-555-5555",
"address": "123 Main Street Apt. 1 New York, NY"
},
{
"first_name": "Jane",
"last_name": "Doe",
"email": "[email protected]",
"country_id": "DE",
"phone": "+234-495-33394",
"address": "123 Main Street Apt. 1 New York, NY"
}
]
]
}
'{
"success": true,
"message": "2 employees created",
"data": [
[
{
"id": "9dfd3a42-b0e9-4f1b-a822-1b91f2149813",
"first_name": "Mary",
"last_name": "Doe",
"email": "[email protected]",
"personal_email": null,
"phone": "+1-555-555-5555",
"country": "United States",
"landmark": null,
"last_login": null,
"job_title": null,
"tax_number": null,
"address": "123 Main Street Apt. 1 New York, NY",
"employment_type": null,
"level": null,
"status": null,
"country_code": "US",
"currency_code": "USD",
"departments": [],
"created_at": "2024-01-17T10:21:37.000000Z",
"catalogs": null,
"equipment": [],
"orders": []
},
{
"id": "9dfd3a42-b0e9-4f1b-a822-1b91f2149813",
"first_name": "John",
"last_name": "Doe",
"email": "[email protected]",
"personal_email": null,
"phone": "+1-555-555-5555",
"country": "United States",
"landmark": null,
"last_login": null,
"job_title": null,
"tax_number": null,
"address": "123 Main Street Apt. 1 New York, NY",
"employment_type": null,
"level": null,
"status": null,
"country_code": "US",
"currency_code": "USD",
"departments": [],
"created_at": "2024-01-17T10:21:37.000000Z",
"catalogs": null,
"equipment": [],
"orders": []
}
]
]
}Employees
Create Employees in bulk
Creates multiple employee records in bulk
POST
/
client
/
employees
/
bulk
cURL
curl --request POST \
--url https://sandbox-remote-api.rayda.co/api/v2/client/employees/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"employees": [
[
{
"first_name": "Mary",
"last_name": "Doe",
"email": "[email protected]",
"country_id": "United States",
"phone": "+1-555-555-5555",
"address": "123 Main Street Apt. 1 New York, NY"
},
{
"first_name": "Jane",
"last_name": "Doe",
"email": "[email protected]",
"country_id": "DE",
"phone": "+234-495-33394",
"address": "123 Main Street Apt. 1 New York, NY"
}
]
]
}
'{
"success": true,
"message": "2 employees created",
"data": [
[
{
"id": "9dfd3a42-b0e9-4f1b-a822-1b91f2149813",
"first_name": "Mary",
"last_name": "Doe",
"email": "[email protected]",
"personal_email": null,
"phone": "+1-555-555-5555",
"country": "United States",
"landmark": null,
"last_login": null,
"job_title": null,
"tax_number": null,
"address": "123 Main Street Apt. 1 New York, NY",
"employment_type": null,
"level": null,
"status": null,
"country_code": "US",
"currency_code": "USD",
"departments": [],
"created_at": "2024-01-17T10:21:37.000000Z",
"catalogs": null,
"equipment": [],
"orders": []
},
{
"id": "9dfd3a42-b0e9-4f1b-a822-1b91f2149813",
"first_name": "John",
"last_name": "Doe",
"email": "[email protected]",
"personal_email": null,
"phone": "+1-555-555-5555",
"country": "United States",
"landmark": null,
"last_login": null,
"job_title": null,
"tax_number": null,
"address": "123 Main Street Apt. 1 New York, NY",
"employment_type": null,
"level": null,
"status": null,
"country_code": "US",
"currency_code": "USD",
"departments": [],
"created_at": "2024-01-17T10:21:37.000000Z",
"catalogs": null,
"equipment": [],
"orders": []
}
]
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The list of employee data to create
Show child attributes
Show child attributes
⌘I